<template>
    <Dialog header="Change password" :visible.sync="dialogVisible" :style="{width: '50vw'}">
        <div class="p-cardialog-content">
            <div class="p-grid p-fluid">
                <div class="p-col-4"><label for="pass">New password</label></div>
                <div class="p-col-8">
                    <InputText id="pass" type="password" v-model="password" autocomplete="off"/>
                </div>
            </div>
        </div>
        <template #footer>
            <Button label="Change" icon="pi pi-check" @click="changePassword({'username': 'abc','password': password})"/>
            <Button label="Cancel" icon="pi pi-times" @click="close()" class="p-button-secondary"/>
        </template>
    </Dialog>
</template>
<script>
    import {mapActions} from 'vuex'

    export default {
        name: 'ChangePasswordDialog',
        props: ['dialogVisible'],
        data(){
            return{
                password: ''
            }
        },
        methods: {
            ...mapActions('users', {
                changePassword: 'changePassword',
            }),
            close() {
                this.password = '';
                this.$emit('closeRequest');
            }
        }

    };
</script>
